#!/bin/bash

# Clean out all pixmap directories to make sure no previous
# images exists after unpack

# Remove Html
rm -rf /opt/dcu410/html

# Cummins
rm -rf /opt/dcu410/pixmaps_cummins/indicators
rm -rf /opt/dcu410/pixmaps_cummins/instrumentbackgrounds
rm -rf /opt/dcu410/pixmaps_cummins/menuicons
rm -rf /opt/dcu410/pixmaps_cummins/flowchartbackgrounds
rm -rf /opt/dcu410/pixmaps_cummins/minis
if [ -e /opt/dcu410/pixmaps_cummins/wallpapers ]; then
  cd /opt/dcu410/pixmaps_cummins/wallpapers && ls | grep -v dcu_background_user.png | xargs rm -rf
fi

# Generic
rm -rf /opt/dcu410/pixmaps_generic/indicators
rm -rf /opt/dcu410/pixmaps_generic/instrumentbackgrounds
rm -rf /opt/dcu410/pixmaps_generic/menuicons
rm -rf /opt/dcu410/pixmaps_generic/flowchartbackgrounds
rm -rf /opt/dcu410/pixmaps_generic/minis
if [ -e /opt/dcu410/pixmaps_generic/wallpapers ]; then
  cd /opt/dcu410/pixmaps_generic/wallpapers && ls | grep -v dcu_background_user.png | xargs rm -rf
fi

# Caterpillar
rm -rf /opt/dcu410/pixmaps_caterpillar/indicators
rm -rf /opt/dcu410/pixmaps_caterpillar/instrumentbackgrounds
rm -rf /opt/dcu410/pixmaps_caterpillar/menuicons
rm -rf /opt/dcu410/pixmaps_caterpillar/flowchartbackgrounds
rm -rf /opt/dcu410/pixmaps_caterpillar/minis
if [ -e /opt/dcu410/pixmaps_caterpillar/wallpapers ]; then
  cd /opt/dcu410/pixmaps_caterpillar/wallpapers && ls | grep -v dcu_background_user.png | xargs rm -rf
fi

# Remove every factory default configuration files. Factory default
# files is included in the release package. However, we are not
# allowed to remove .ucfg files, as they may as the current
# configuration. When rebranding, this ucfg file will stay.
rm -rf /opt/dcu410/etc/config_real/*/fd/*.cfg
