#!/bin/bash

source /opt/dcu410/bin/setup_dcu.sh

echo "Starting Discovery server ..."
(bin/dcu_discovery_server > /dev/null 2>&1) &

echo "Starting System server ..."
(bin/system_server > /dev/null 2>&1) &

echo "Starting IO server ..."
(bin/io_server > /dev/null 2>&1) &

echo "Starting J1939 server ..."
(bin/j1939_svr > /dev/null 2>&1) &

echo "Starting J1939 2 server ..."
(bin/j1939_2_svr > /dev/null 2>&1) &

echo "Starting RIO server ..."
(bin/modbus_rio_server > /dev/null 2>&1) &

echo "Starting SDU server ..."
(bin/modbus_sdu_server > /dev/null 2>&1) &

echo "Starting Application server ..."
(bin/appl_server > /dev/null 2>&1) &

echo "Starting CANopen server ..."
(bin/canopen_server > /dev/null 2>&1) &

echo "Starting Http server ..."
bin/httpd

echo "Starting Modbus TCP server ..."
(bin/modbustcp_server > /dev/null 2>&1) &

