#!/bin/bash

source /opt/dcu410/bin/setup_dcu.sh

echo "Starting Discovery server ..."
(bin/dcu_discovery_server > /tmp/dcu_discovery_server.log 2>&1) &

echo "Starting System server ..."
(bin/system_server > /tmp/system_server.log 2>&1) &

echo "Starting IO server ..."
(bin/io_server > /tmp/io_server.log 2>&1) &

echo "Starting J1939 server ..."
(bin/j1939_svr > /tmp/j1939_svr.log 2>&1) &

echo "Starting J1939 2 server ..."
(bin/j1939_2_svr > /tmp/j1939_2_svr.log 2>&1) &

echo "Starting RIO server ..."
(bin/modbus_rio_server > /tmp/modbus_rio_server.log 2>&1) &

echo "Starting SDU server ..."
(bin/modbus_sdu_server > /tmp/modbus_sdu_server.log 2>&1) &

echo "Starting Application server ..."
(bin/appl_server > /tmp/appl_server.log 2>&1) &

echo "Starting CANopen server ..."
(bin/canopen_server > /tmp/canopen_server.log 2>&1) &

#sleep 3

echo "Starting Modbus TCP server ..."
(bin/modbustcp_server > /tmp/modbustcp_server.log 2>&1) &

echo "Starting DCU410 gui ...."
(bin/DCU410 -qws -geometry -0-0 -nomouse > /tmp/GUI.log 2>&1) &

echo "Starting Http server ..."
RP_LOG_LEVEL=0 bin/httpd
