#!/bin/bash

echo "Step 2 of 6: Stopping DCU firmware..."
/opt/dcu410/bin/stop_dcu.sh >> /dev/null
cd /root
echo "Step 3 of 6: Extracting new DCU firmware..."
gunzip dcu410_release.tar.gz >> /dev/null
cd /
echo "Step 4 of 6: Unpacking new DCU firmware..."
tar xvf /root/dcu410_release.tar >> /dev/null
echo "Step 5 of 6: Cleaning up..."
rm /root/dcu410_release.tar
/opt/dcu410/bin/dcu_post_install.sh >> /dev/null
echo "Step 6 of 6: Restarting..."
sync
/sbin/shutdown -r
